Subject: Re: Need help with mdiobus_register and phy

From: Timur Tabi <[email-masked]>
Date: Tue, 18 Oct 2016 07:40:17 -0500

Zefir Kurtisi wrote:

>> I have never seen the original problem that you noticed.  When I use the generic
>> phy driver instead of the at803x driver, everything works great for me.  Perhaps
>> the problem that you noticed only occurs with the Gianfar NIC?
>>
> You mean it works for you in SGMII mode without glitches?

That is correct.

> Then it might in fact be
> an unfortunate rare or unique combination that we chose.

That is what I expect.

> I'd need some time to get that tested, and since our device might be the only one
> requiring the fix, I am fine with keeping the patch private. Feel free to revert
> it, if required, I'll provide a revised one.

I'm in no hurry to get this fixed.  Do you need a couple weeks to run 
some tests?  It would be good to know for sure that your fix is needed 
only on your platform.

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, hosted by The Linux Foundation.